> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post userslocate

> Searches for User Data based on the passed criteria.  The returned User Data Results will
have a List of User Data values that's fulfilled the Start and Max rows of the criteria.

This operation requires a User View Criteria value.

This operation returns a **User Data Wrapper** with the following attributes:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /users/locate
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /users/locate:
    post:
      tags:
        - UserService
      description: >-
        Searches for User Data based on the passed criteria.  The returned User
        Data Results will

        have a List of User Data values that's fulfilled the Start and Max rows
        of the criteria.


        This operation requires a User View Criteria value.


        This operation returns a **User Data Wrapper** with the following
        attributes:
      operationId: searchUsers
      parameters: []
      requestBody:
        description: UserViewCriteria to use for searching.
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  homeLocationName: ...
                  matchAnyCustomAttribute: true
                  sortAscending: true
                  sysidDepartments:
                    - 12345
                    - 12345
                  includeLockedUser: true
                  sysidStatuses:
                    - 12345
                    - 12345
                  sysidRoles:
                    - 12345
                    - 12345
                  emailAddress: ...
                  sysidUserGroups:
                    - 12345
                    - 12345
                  lastName: ...
                  sysidSwitchDevices:
                    - 12345
                    - 12345
                  forManagement: true
                  sysidApplicationUsers:
                    - 12345
                    - 12345
                  customAttribs:
                    - stringValue: ...
                      searchType: EQUAL
                      sysidDataType: 12345
                      dateTimeValue:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                      sysidAttribute: 12345
                      numberValue: 12345
                      booleanValue: true
                    - stringValue: ...
                      searchType: EQUAL
                      sysidDataType: 12345
                      dateTimeValue:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                      sysidAttribute: 12345
                      numberValue: 12345
                      booleanValue: true
                  sysidTitles:
                    - 12345
                    - 12345
                  sysidHomeLocations:
                    - 12345
                    - 12345
                  sysidBusinessUnits:
                    - 12345
                    - 12345
                  exactMatch: true
                  sortColumn: FIRST_NAME
                  accountOnly: true
                  firstName: ...
                  sysidManagers:
                    - 12345
                    - 12345
                  startRow: 12345
                  maxRows: 12345
            schema:
              $ref: '#/components/schemas/UserViewCriteria'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    users:
                      - profile:
                          defaultChargeCode: ...
                          middleInitial: ...
                          city: ...
                          statusMessage: ...
                          address1: ...
                          sysidLanguage: 12345
                          userEmailPreferences:
                            - {}
                            - {}
                          userId: 12345
                          country: ...
                          myResources:
                            - {}
                            - {}
                          myDelegates:
                            - {}
                            - {}
                          address2: ...
                          myPeople:
                            - {}
                            - {}
                          preferences:
                            - {}
                            - {}
                          userContacts:
                            - {}
                            - {}
                          sysidDefaultResCategory: 12345
                          sysidDefaultResType: 12345
                          comments: ...
                          privateProfile: true
                          stateProvince: ...
                          postalCode: ...
                          lastName: ...
                          sysidAccount: 12345
                          originalUser: true
                          preferredName: ...
                          firstName: ...
                          userImages:
                            - {}
                            - {}
                          calendarURL: ...
                        business:
                          gapConflictingWorkspace: true
                          userAttributeValue:
                            - {}
                            - {}
                          userAuthRules:
                            - {}
                            - {}
                          emailAddress: ...
                          workSpaceLimit: 12345
                          autoBumpFreesLtr: true
                          disableUiLogin: true
                          sysidRole: 12345
                          bumpFreesLtr: true
                          groupMemberships:
                            - {}
                            - {}
                          autoBumpable: true
                          seatAssignment: {}
                          maxFutureReservationDays: 12345
                          manualBumpable: true
                          reservationSpendingLimit: 12345
                        account:
                          accountLocked: true
                          sysidManager: 12345
                          sysidDepartment: 12345
                          sysidUserStatus: 12345
                          sysidTitle: 12345
                          emailAddress: ...
                          userPassword: ...
                          sysidDefaultLocation: 12345
                          aqPasswordExpDate: {}
                          sysidHomeLocation: 12345
                          sysidBusinessUnit: 12345
                          userCredentials:
                            - {}
                            - {}
                          forums:
                            - {}
                            - {}
                      - profile:
                          defaultChargeCode: ...
                          middleInitial: ...
                          city: ...
                          statusMessage: ...
                          address1: ...
                          sysidLanguage: 12345
                          userEmailPreferences:
                            - {}
                            - {}
                          userId: 12345
                          country: ...
                          myResources:
                            - {}
                            - {}
                          myDelegates:
                            - {}
                            - {}
                          address2: ...
                          myPeople:
                            - {}
                            - {}
                          preferences:
                            - {}
                            - {}
                          userContacts:
                            - {}
                            - {}
                          sysidDefaultResCategory: 12345
                          sysidDefaultResType: 12345
                          comments: ...
                          privateProfile: true
                          stateProvince: ...
                          postalCode: ...
                          lastName: ...
                          sysidAccount: 12345
                          originalUser: true
                          preferredName: ...
                          firstName: ...
                          userImages:
                            - {}
                            - {}
                          calendarURL: ...
                        business:
                          gapConflictingWorkspace: true
                          userAttributeValue:
                            - {}
                            - {}
                          userAuthRules:
                            - {}
                            - {}
                          emailAddress: ...
                          workSpaceLimit: 12345
                          autoBumpFreesLtr: true
                          disableUiLogin: true
                          sysidRole: 12345
                          bumpFreesLtr: true
                          groupMemberships:
                            - {}
                            - {}
                          autoBumpable: true
                          seatAssignment: {}
                          maxFutureReservationDays: 12345
                          manualBumpable: true
                          reservationSpendingLimit: 12345
                        account:
                          accountLocked: true
                          sysidManager: 12345
                          sysidDepartment: 12345
                          sysidUserStatus: 12345
                          sysidTitle: 12345
                          emailAddress: ...
                          userPassword: ...
                          sysidDefaultLocation: 12345
                          aqPasswordExpDate: {}
                          sysidHomeLocation: 12345
                          sysidBusinessUnit: 12345
                          userCredentials:
                            - {}
                            - {}
                          forums:
                            - {}
                            - {}
                    nextStartRow: 12345
                    hasAdditional: true
              schema:
                $ref: '#/components/schemas/UserDataWrapper'
          description: |-
            Wrapper of UserData values.

            com.agilquest.phoenix.shared.data.rest.wrapper.UserDataWrapper
components:
  schemas:
    UserViewCriteria:
      type: object
      title: UserViewCriteria
      required:
        - matchAnyCustomAttribute
        - sortAscending
        - includeLockedUser
        - forManagement
        - exactMatch
        - accountOnly
      allOf:
        - $ref: '#/components/schemas/CriteriaBase'
        - properties:
            homeLocationName:
              type: string
            matchAnyCustomAttribute:
              type: boolean
            sortAscending:
              type: boolean
            sysidDepartments:
              type: array
              items:
                type: integer
            includeLockedUser:
              type: boolean
            sysidStatuses:
              type: array
              items:
                type: integer
            sysidRoles:
              type: array
              items:
                type: integer
            emailAddress:
              type: string
            sysidUserGroups:
              type: array
              items:
                type: integer
            lastName:
              type: string
            sysidSwitchDevices:
              type: array
              items:
                type: integer
            forManagement:
              type: boolean
            sysidApplicationUsers:
              type: array
              items:
                type: integer
            customAttribs:
              type: array
              items:
                $ref: '#/components/schemas/CustomAttributeSearch'
            sysidTitles:
              type: array
              items:
                type: integer
            sysidHomeLocations:
              type: array
              items:
                type: integer
            sysidBusinessUnits:
              type: array
              items:
                type: integer
            exactMatch:
              type: boolean
            sortColumn:
              $ref: '#/components/schemas/UserViewSortColumns'
            accountOnly:
              type: boolean
            firstName:
              type: string
            sysidManagers:
              type: array
              items:
                type: integer
      example:
        homeLocationName: ...
        matchAnyCustomAttribute: true
        sortAscending: true
        sysidDepartments:
          - 12345
          - 12345
        includeLockedUser: true
        sysidStatuses:
          - 12345
          - 12345
        sysidRoles:
          - 12345
          - 12345
        emailAddress: ...
        sysidUserGroups:
          - 12345
          - 12345
        lastName: ...
        sysidSwitchDevices:
          - 12345
          - 12345
        forManagement: true
        sysidApplicationUsers:
          - 12345
          - 12345
        customAttribs:
          - stringValue: ...
            searchType: EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
          - stringValue: ...
            searchType: EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
        sysidTitles:
          - 12345
          - 12345
        sysidHomeLocations:
          - 12345
          - 12345
        sysidBusinessUnits:
          - 12345
          - 12345
        exactMatch: true
        sortColumn: EMAIL
        accountOnly: true
        firstName: ...
        sysidManagers:
          - 12345
          - 12345
        startRow: 12345
        maxRows: 12345
    UserDataWrapper:
      type: object
      title: UserDataWrapper
      required:
        - nextStartRow
        - hasAdditional
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            users:
              type: array
              items:
                $ref: '#/components/schemas/UserData'
            nextStartRow:
              type: integer
              format: int32
            hasAdditional:
              type: boolean
      example:
        users:
          - profile:
              defaultChargeCode: ...
              middleInitial: ...
              city: ...
              statusMessage: ...
              address1: ...
              sysidLanguage: 12345
              userEmailPreferences:
                - {}
                - {}
              userId: 12345
              country: ...
              myResources:
                - {}
                - {}
              myDelegates:
                - {}
                - {}
              address2: ...
              myPeople:
                - {}
                - {}
              preferences:
                - {}
                - {}
              userContacts:
                - {}
                - {}
              sysidDefaultResCategory: 12345
              sysidDefaultResType: 12345
              comments: ...
              privateProfile: true
              stateProvince: ...
              postalCode: ...
              lastName: ...
              sysidAccount: 12345
              originalUser: true
              preferredName: ...
              firstName: ...
              userImages:
                - {}
                - {}
              calendarURL: ...
            business:
              gapConflictingWorkspace: true
              userAttributeValue:
                - {}
                - {}
              userAuthRules:
                - {}
                - {}
              emailAddress: ...
              workSpaceLimit: 12345
              autoBumpFreesLtr: true
              disableUiLogin: true
              sysidRole: 12345
              bumpFreesLtr: true
              groupMemberships:
                - {}
                - {}
              autoBumpable: true
              seatAssignment: {}
              maxFutureReservationDays: 12345
              manualBumpable: true
              reservationSpendingLimit: 12345
            account:
              accountLocked: true
              sysidManager: 12345
              sysidDepartment: 12345
              sysidUserStatus: 12345
              sysidTitle: 12345
              emailAddress: ...
              userPassword: ...
              sysidDefaultLocation: 12345
              aqPasswordExpDate: {}
              sysidHomeLocation: 12345
              sysidBusinessUnit: 12345
              userCredentials:
                - {}
                - {}
              forums:
                - {}
                - {}
          - profile:
              defaultChargeCode: ...
              middleInitial: ...
              city: ...
              statusMessage: ...
              address1: ...
              sysidLanguage: 12345
              userEmailPreferences:
                - {}
                - {}
              userId: 12345
              country: ...
              myResources:
                - {}
                - {}
              myDelegates:
                - {}
                - {}
              address2: ...
              myPeople:
                - {}
                - {}
              preferences:
                - {}
                - {}
              userContacts:
                - {}
                - {}
              sysidDefaultResCategory: 12345
              sysidDefaultResType: 12345
              comments: ...
              privateProfile: true
              stateProvince: ...
              postalCode: ...
              lastName: ...
              sysidAccount: 12345
              originalUser: true
              preferredName: ...
              firstName: ...
              userImages:
                - {}
                - {}
              calendarURL: ...
            business:
              gapConflictingWorkspace: true
              userAttributeValue:
                - {}
                - {}
              userAuthRules:
                - {}
                - {}
              emailAddress: ...
              workSpaceLimit: 12345
              autoBumpFreesLtr: true
              disableUiLogin: true
              sysidRole: 12345
              bumpFreesLtr: true
              groupMemberships:
                - {}
                - {}
              autoBumpable: true
              seatAssignment: {}
              maxFutureReservationDays: 12345
              manualBumpable: true
              reservationSpendingLimit: 12345
            account:
              accountLocked: true
              sysidManager: 12345
              sysidDepartment: 12345
              sysidUserStatus: 12345
              sysidTitle: 12345
              emailAddress: ...
              userPassword: ...
              sysidDefaultLocation: 12345
              aqPasswordExpDate: {}
              sysidHomeLocation: 12345
              sysidBusinessUnit: 12345
              userCredentials:
                - {}
                - {}
              forums:
                - {}
                - {}
        nextStartRow: 12345
        hasAdditional: true
    CriteriaBase:
      type: object
      title: CriteriaBase
      required:
        - startRow
        - maxRows
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startRow:
              type: integer
              format: int32
            maxRows:
              type: integer
              format: int32
      example:
        startRow: 12345
        maxRows: 12345
    CustomAttributeSearch:
      type: object
      title: CustomAttributeSearch
      required:
        - sysidDataType
        - sysidAttribute
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            stringValue:
              type: string
            searchType:
              $ref: '#/components/schemas/CustomAttributeSearchType'
            sysidDataType:
              type: integer
              format: int32
            dateTimeValue:
              $ref: '#/components/schemas/AqDate'
            sysidAttribute:
              type: integer
              format: int32
            numberValue:
              type: integer
              format: int64
            booleanValue:
              type: boolean
      example:
        stringValue: ...
        searchType: GREATER_THAN_OR_EQUAL
        sysidDataType: 12345
        dateTimeValue:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidAttribute: 12345
        numberValue: 12345
        booleanValue: true
    UserViewSortColumns:
      type: string
      title: UserViewSortColumns
      enum:
        - FIRST_NAME
        - LAST_NAME
        - EMAIL
        - PHONE
        - CITY
        - ROLE
        - HOME_LOCATION
    DependentData:
      type: object
      title: DependentData
      example: {}
    UserData:
      type: object
      title: UserData
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            profile:
              $ref: '#/components/schemas/UserProfileData'
            business:
              $ref: '#/components/schemas/UserBusinessData'
            account:
              $ref: '#/components/schemas/UserAccountData'
      example:
        profile:
          defaultChargeCode: ...
          middleInitial: ...
          city: ...
          statusMessage: ...
          address1: ...
          sysidLanguage: 12345
          userEmailPreferences:
            - sysidUserEmailPreference: 12345
              sendEmail: true
              sysidEmailPreferenceType: 12345
            - sysidUserEmailPreference: 12345
              sendEmail: true
              sysidEmailPreferenceType: 12345
          userId: 12345
          country: ...
          myResources:
            - sysidResource: 12345
              sysidMyResources: 12345
            - sysidResource: 12345
              sysidMyResources: 12345
          myDelegates:
            - sysidUserDelegate: 12345
              sysidDelegate: 12345
            - sysidUserDelegate: 12345
              sysidDelegate: 12345
          address2: ...
          myPeople:
            - sysidPerson: 12345
              display: true
              sysidMyPeople: 12345
            - sysidPerson: 12345
              display: true
              sysidMyPeople: 12345
          preferences:
            - keyValue: ...
              sysidUserPreferenceType: 12345
              sysidUserPreference: 12345
            - keyValue: ...
              sysidUserPreferenceType: 12345
              sysidUserPreference: 12345
          userContacts:
            - value: ...
              sysidUserContacts: 12345
              sysidContactType: 12345
            - value: ...
              sysidUserContacts: 12345
              sysidContactType: 12345
          sysidDefaultResCategory: 12345
          sysidDefaultResType: 12345
          comments: ...
          privateProfile: true
          stateProvince: ...
          postalCode: ...
          lastName: ...
          sysidAccount: 12345
          originalUser: true
          preferredName: ...
          firstName: ...
          userImages:
            - sysidUserImage: 12345
              name: ...
              width: 12345
              height: 12345
              description: ...
              defaultImage: true
              displayOrder: 12345
              thumbnailSource: ...
              imageSource: ...
            - sysidUserImage: 12345
              name: ...
              width: 12345
              height: 12345
              description: ...
              defaultImage: true
              displayOrder: 12345
              thumbnailSource: ...
              imageSource: ...
          calendarURL: ...
        business:
          gapConflictingWorkspace: true
          userAttributeValue:
            - dateTimeValue: 12345
              sysidUserAttribute: 12345
              aqDateTimeValue: {}
              booleanValue: true
              sysidUserAttributeValue: 12345
              sysidAttributeDataType: 12345
              numberValue: 12345
              stringValue: ...
            - dateTimeValue: 12345
              sysidUserAttribute: 12345
              aqDateTimeValue: {}
              booleanValue: true
              sysidUserAttributeValue: 12345
              sysidAttributeDataType: 12345
              numberValue: 12345
              stringValue: ...
          userAuthRules:
            - sysidAuthorizationRule: 12345
            - sysidAuthorizationRule: 12345
          emailAddress: ...
          workSpaceLimit: 12345
          autoBumpFreesLtr: true
          disableUiLogin: true
          sysidRole: 12345
          bumpFreesLtr: true
          groupMemberships:
            - sysidUserGroupMember: 12345
              sysidUserGroup: 12345
            - sysidUserGroupMember: 12345
              sysidUserGroup: 12345
          autoBumpable: true
          seatAssignment:
            sysidSeatAssignment: 12345
            sysidResource: 12345
          maxFutureReservationDays: 12345
          manualBumpable: true
          reservationSpendingLimit: 12345
        account:
          accountLocked: true
          sysidManager: 12345
          sysidDepartment: 12345
          sysidUserStatus: 12345
          sysidTitle: 12345
          emailAddress: ...
          userPassword: ...
          sysidDefaultLocation: 12345
          aqPasswordExpDate:
            discriminator: AqDate
            hour: 12345
            tzIdValue: ...
            year: 12345
            month: 12345
            dayOfMonth: 12345
            minute: 12345
            noEndDate: true
          sysidHomeLocation: 12345
          sysidBusinessUnit: 12345
          userCredentials:
            - value: ...
              sysidUserCredentials: 12345
              sysidCredentialsType: 12345
            - value: ...
              sysidUserCredentials: 12345
              sysidCredentialsType: 12345
          forums:
            - visited: true
              sysidForum: 12345
            - visited: true
              sysidForum: 12345
    CustomAttributeSearchType:
      type: string
      title: CustomAttributeSearchType
      enum:
        - LESS_THAN_OR_EQUAL
        - EQUAL
        - GREATER_THAN_OR_EQUAL
    AqDate:
      discriminator: discriminator
      type: object
      title: AqDate
      required:
        - hour
        - year
        - month
        - dayOfMonth
        - minute
        - noEndDate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            hour:
              type: integer
              format: int32
            tzIdValue:
              type: string
            year:
              type: integer
              format: int32
            month:
              type: integer
              format: int32
            dayOfMonth:
              type: integer
              format: int32
            minute:
              type: integer
              format: int32
            noEndDate:
              type: boolean
      example:
        discriminator: AqDate
        hour: 12345
        tzIdValue: ...
        year: 12345
        month: 12345
        dayOfMonth: 12345
        minute: 12345
        noEndDate: true
    UserProfileData:
      type: object
      title: UserProfileData
      required:
        - sysidLanguage
        - privateProfile
        - originalUser
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            defaultChargeCode:
              type: string
            middleInitial:
              type: string
            city:
              type: string
            statusMessage:
              type: string
            address1:
              type: string
            sysidLanguage:
              type: integer
              format: int32
            userEmailPreferences:
              type: array
              items:
                $ref: '#/components/schemas/UserEmailPreference'
            userId:
              type: integer
              format: int32
            country:
              type: string
            myResources:
              type: array
              items:
                $ref: '#/components/schemas/MyResources'
            myDelegates:
              type: array
              items:
                $ref: '#/components/schemas/Delegate'
            address2:
              type: string
            myPeople:
              type: array
              items:
                $ref: '#/components/schemas/MyPeople'
            preferences:
              type: array
              items:
                $ref: '#/components/schemas/UserPreference'
            userContacts:
              type: array
              items:
                $ref: '#/components/schemas/UserContactData'
            sysidDefaultResCategory:
              type: integer
              format: int32
            sysidDefaultResType:
              type: integer
              format: int32
            comments:
              type: string
            privateProfile:
              type: boolean
            stateProvince:
              type: string
            postalCode:
              type: string
            lastName:
              type: string
            sysidAccount:
              type: integer
              format: int32
            originalUser:
              type: boolean
            preferredName:
              type: string
            firstName:
              type: string
            userImages:
              type: array
              items:
                $ref: '#/components/schemas/UserImage'
            calendarURL:
              type: string
      example:
        defaultChargeCode: ...
        middleInitial: ...
        city: ...
        statusMessage: ...
        address1: ...
        sysidLanguage: 12345
        userEmailPreferences:
          - sysidUserEmailPreference: 12345
            sendEmail: true
            sysidEmailPreferenceType: 12345
          - sysidUserEmailPreference: 12345
            sendEmail: true
            sysidEmailPreferenceType: 12345
        userId: 12345
        country: ...
        myResources:
          - sysidResource: 12345
            sysidMyResources: 12345
          - sysidResource: 12345
            sysidMyResources: 12345
        myDelegates:
          - sysidUserDelegate: 12345
            sysidDelegate: 12345
          - sysidUserDelegate: 12345
            sysidDelegate: 12345
        address2: ...
        myPeople:
          - sysidPerson: 12345
            display: true
            sysidMyPeople: 12345
          - sysidPerson: 12345
            display: true
            sysidMyPeople: 12345
        preferences:
          - keyValue: ...
            sysidUserPreferenceType: 12345
            sysidUserPreference: 12345
          - keyValue: ...
            sysidUserPreferenceType: 12345
            sysidUserPreference: 12345
        userContacts:
          - value: ...
            sysidUserContacts: 12345
            sysidContactType: 12345
          - value: ...
            sysidUserContacts: 12345
            sysidContactType: 12345
        sysidDefaultResCategory: 12345
        sysidDefaultResType: 12345
        comments: ...
        privateProfile: true
        stateProvince: ...
        postalCode: ...
        lastName: ...
        sysidAccount: 12345
        originalUser: true
        preferredName: ...
        firstName: ...
        userImages:
          - sysidUserImage: 12345
            name: ...
            width: 12345
            height: 12345
            description: ...
            defaultImage: true
            displayOrder: 12345
            thumbnailSource: ...
            imageSource: ...
          - sysidUserImage: 12345
            name: ...
            width: 12345
            height: 12345
            description: ...
            defaultImage: true
            displayOrder: 12345
            thumbnailSource: ...
            imageSource: ...
        calendarURL: ...
    UserBusinessData:
      type: object
      title: UserBusinessData
      required:
        - gapConflictingWorkspace
        - workSpaceLimit
        - autoBumpFreesLtr
        - disableUiLogin
        - sysidRole
        - bumpFreesLtr
        - autoBumpable
        - maxFutureReservationDays
        - manualBumpable
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            gapConflictingWorkspace:
              type: boolean
            userAttributeValue:
              type: array
              items:
                $ref: '#/components/schemas/UserAttributeValue'
            userAuthRules:
              type: array
              items:
                $ref: '#/components/schemas/UserAuthRule'
            emailAddress:
              type: string
            workSpaceLimit:
              type: integer
              format: int32
            autoBumpFreesLtr:
              type: boolean
            disableUiLogin:
              type: boolean
            sysidRole:
              type: integer
              format: int32
            bumpFreesLtr:
              type: boolean
            groupMemberships:
              type: array
              items:
                $ref: '#/components/schemas/GroupMembership'
            autoBumpable:
              type: boolean
            seatAssignment:
              $ref: '#/components/schemas/UserSeatAssignment'
            maxFutureReservationDays:
              type: integer
              format: int32
            manualBumpable:
              type: boolean
            reservationSpendingLimit:
              type: integer
              format: int32
      example:
        gapConflictingWorkspace: true
        userAttributeValue:
          - dateTimeValue: 12345
            sysidUserAttribute: 12345
            aqDateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            booleanValue: true
            sysidUserAttributeValue: 12345
            sysidAttributeDataType: 12345
            numberValue: 12345
            stringValue: ...
          - dateTimeValue: 12345
            sysidUserAttribute: 12345
            aqDateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            booleanValue: true
            sysidUserAttributeValue: 12345
            sysidAttributeDataType: 12345
            numberValue: 12345
            stringValue: ...
        userAuthRules:
          - sysidAuthorizationRule: 12345
          - sysidAuthorizationRule: 12345
        emailAddress: ...
        workSpaceLimit: 12345
        autoBumpFreesLtr: true
        disableUiLogin: true
        sysidRole: 12345
        bumpFreesLtr: true
        groupMemberships:
          - sysidUserGroupMember: 12345
            sysidUserGroup: 12345
          - sysidUserGroupMember: 12345
            sysidUserGroup: 12345
        autoBumpable: true
        seatAssignment:
          sysidSeatAssignment: 12345
          sysidResource: 12345
        maxFutureReservationDays: 12345
        manualBumpable: true
        reservationSpendingLimit: 12345
    UserAccountData:
      type: object
      title: UserAccountData
      required:
        - accountLocked
        - sysidUserStatus
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            accountLocked:
              type: boolean
            sysidManager:
              type: integer
              format: int32
            sysidDepartment:
              type: integer
              format: int32
            sysidUserStatus:
              type: integer
              format: int32
            sysidTitle:
              type: integer
              format: int32
            emailAddress:
              type: string
            userPassword:
              type: string
            sysidDefaultLocation:
              type: integer
              format: int32
            aqPasswordExpDate:
              $ref: '#/components/schemas/AqDate'
            sysidHomeLocation:
              type: integer
              format: int32
            sysidBusinessUnit:
              type: integer
              format: int32
            userCredentials:
              type: array
              items:
                $ref: '#/components/schemas/UserCredentialsData'
            forums:
              type: array
              items:
                $ref: '#/components/schemas/UserForum'
      example:
        accountLocked: true
        sysidManager: 12345
        sysidDepartment: 12345
        sysidUserStatus: 12345
        sysidTitle: 12345
        emailAddress: ...
        userPassword: ...
        sysidDefaultLocation: 12345
        aqPasswordExpDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidHomeLocation: 12345
        sysidBusinessUnit: 12345
        userCredentials:
          - value: ...
            sysidUserCredentials: 12345
            sysidCredentialsType: 12345
          - value: ...
            sysidUserCredentials: 12345
            sysidCredentialsType: 12345
        forums:
          - visited: true
            sysidForum: 12345
          - visited: true
            sysidForum: 12345
    UserEmailPreference:
      type: object
      title: UserEmailPreference
      required:
        - sendEmail
        - sysidEmailPreferenceType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidUserEmailPreference:
              type: integer
              format: int32
            sendEmail:
              type: boolean
            sysidEmailPreferenceType:
              type: integer
              format: int32
      example:
        sysidUserEmailPreference: 12345
        sendEmail: true
        sysidEmailPreferenceType: 12345
    MyResources:
      type: object
      title: MyResources
      required:
        - sysidResource
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidResource:
              type: integer
              format: int32
            sysidMyResources:
              type: integer
              format: int32
      example:
        sysidResource: 12345
        sysidMyResources: 12345
    Delegate:
      type: object
      title: Delegate
      required:
        - sysidUserDelegate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidUserDelegate:
              type: integer
              format: int32
            sysidDelegate:
              type: integer
              format: int32
      example:
        sysidUserDelegate: 12345
        sysidDelegate: 12345
    MyPeople:
      type: object
      title: MyPeople
      required:
        - sysidPerson
        - display
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidPerson:
              type: integer
              format: int32
            display:
              type: boolean
            sysidMyPeople:
              type: integer
              format: int32
      example:
        sysidPerson: 12345
        display: true
        sysidMyPeople: 12345
    UserPreference:
      type: object
      title: UserPreference
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            keyValue:
              type: string
            sysidUserPreferenceType:
              type: integer
              format: int32
            sysidUserPreference:
              type: integer
              format: int32
      example:
        keyValue: ...
        sysidUserPreferenceType: 12345
        sysidUserPreference: 12345
    UserContactData:
      type: object
      title: UserContactData
      required:
        - sysidContactType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            value:
              type: string
            sysidUserContacts:
              type: integer
              format: int32
            sysidContactType:
              type: integer
              format: int32
      example:
        value: ...
        sysidUserContacts: 12345
        sysidContactType: 12345
    UserImage:
      type: object
      title: UserImage
      required:
        - defaultImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidUserImage:
              type: integer
              format: int32
            name:
              type: string
            width:
              type: integer
              format: int32
            height:
              type: integer
              format: int32
            description:
              type: string
            defaultImage:
              type: boolean
            displayOrder:
              type: integer
              format: int32
            thumbnailSource:
              type: string
            imageSource:
              type: string
      example:
        sysidUserImage: 12345
        name: ...
        width: 12345
        height: 12345
        description: ...
        defaultImage: true
        displayOrder: 12345
        thumbnailSource: ...
        imageSource: ...
    UserAttributeValue:
      type: object
      title: UserAttributeValue
      required:
        - sysidUserAttribute
        - sysidAttributeDataType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            dateTimeValue:
              type: integer
              format: int32
            sysidUserAttribute:
              type: integer
              format: int32
            aqDateTimeValue:
              $ref: '#/components/schemas/AqDate'
            booleanValue:
              type: boolean
            sysidUserAttributeValue:
              type: integer
              format: int32
            sysidAttributeDataType:
              type: integer
              format: int32
            numberValue:
              type: integer
              format: int64
            stringValue:
              type: string
      example:
        dateTimeValue: 12345
        sysidUserAttribute: 12345
        aqDateTimeValue:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        booleanValue: true
        sysidUserAttributeValue: 12345
        sysidAttributeDataType: 12345
        numberValue: 12345
        stringValue: ...
    UserAuthRule:
      type: object
      title: UserAuthRule
      required:
        - sysidAuthorizationRule
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidAuthorizationRule:
              type: integer
              format: int32
      example:
        sysidAuthorizationRule: 12345
    GroupMembership:
      type: object
      title: GroupMembership
      required:
        - sysidUserGroup
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidUserGroupMember:
              type: integer
              format: int32
            sysidUserGroup:
              type: integer
              format: int32
      example:
        sysidUserGroupMember: 12345
        sysidUserGroup: 12345
    UserSeatAssignment:
      type: object
      title: UserSeatAssignment
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidSeatAssignment:
              type: integer
              format: int32
            sysidResource:
              type: integer
              format: int32
      example:
        sysidSeatAssignment: 12345
        sysidResource: 12345
    UserCredentialsData:
      type: object
      title: UserCredentialsData
      required:
        - sysidCredentialsType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            value:
              type: string
            sysidUserCredentials:
              type: integer
              format: int32
            sysidCredentialsType:
              type: integer
              format: int32
      example:
        value: ...
        sysidUserCredentials: 12345
        sysidCredentialsType: 12345
    UserForum:
      type: object
      title: UserForum
      required:
        - visited
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            visited:
              type: boolean
            sysidForum:
              type: integer
              format: int32
      example:
        visited: true
        sysidForum: 12345

````